- block:
  - include_role:
      name: commons
      tasks_from: databases/postgres.yaml
    vars:
      cpu_limit: "{{ greenlight_db_cpu_limit }}"
      memory_limit: "{{ greenlight_db_memory_limit }}"
      postgres_data_capacity: "{{ greenlight_db_data_capacity }}"
      postgres_name: "{{ greenlight_pg_name }}"
  - include_role:
      name: commons
      tasks_from: helpers/network-policy.yaml
    vars:
      source:
      - name: "{{ greenlight_name }}"
      policy_name: "{{ greenlight_name }}-to-{{ greenlight_pg_name }}"
      policy_state: "{{ 'present' if (do_network_policy)
                                  else 'absent' }}"
      subject: "{{ greenlight_pg_name }}"
      to:
      - number: "5432"
  when:
  - greenlight_db_type == 'postgres'
